services:
  forgejo:
    image: codeberg.org/forgejo/forgejo:10.0.3

    container_name: forgejo
    environment:
      - USER_UID=1000        # or 1004 for 'librarian'
      - USER_GID=1000
      - TZ=Asia/Jerusalem

    volumes:
      - /srv/git/data:/data/data           # Repository and user data
      - /srv/git/config:/data/gitea/conf   # Configuration (app.ini)

    ports:
      - "127.0.0.1:3000:3000"          # Web UI
      - "222:22"             # SSH for Git
    restart: unless-stopped

